sbe.Loader = sbe.Class.extend(
{
	loadCallbacks : [],
	loadQueue : null,
	status : 0,

	loadedObjects : {},

	staticInit : function()
	{
		return sbe.loader || null;
	},

	init : function()
	{
		sbe.loader = this;

		// createjs.FlashPlugin.swfPath = sbe.prefix + 'media/swf/';
		// createjs.Sound.registerPlugins([ createjs.WebAudioPlugin, createjs.FlashPlugin, createjs.HTMLAudioPlugin ]);
		this.con = new cjs.Container();
		createjs.Sound.registerPlugins([ createjs.WebAudioPlugin, createjs.HTMLAudioPlugin ]);
		createjs.Sound.alternateExtensions = ['mp3', 'ogg'];
		createjs.Sound.EXTENSION_MAP.mp3 = 'mpeg';
		this.loadPreloads();
	},



	 loadPreloads: function() {
                this.preQueue = new createjs.LoadQueue();
                this.preQueue.setMaxConnections(1);
                this.preQueue.on("complete", this.onPreQueueComplete, this);
                this.preQueue.loadManifest([{
                	id: "playBtn",
                	src: "media/images/play-button.png"},
                    {id: "loadBack",
                    src: "media/images/loading-graphic.png"
                }]);

            },

            onPreQueueComplete: function() {
            	this.loadScreen = new cjs.Bitmap(this.preQueue.getResult("loadBack"));
            	this.loadScreen.x = 410;
            	this.loadScreen.y = 150;
            	this.playBtn = new cjs.Bitmap(this.preQueue.getResult("playBtn"));
            	this.playBtn.x = 0;
            	this.playBtn.y = 0;
            	this.playBtn.regX = 495.5;
            	this.playBtn.regY = 618.5;
            	this.playBtn.scaleX = this.playBtn.scaleY = 0.6;
            	sbe.book.con.addChild(this.playBtn);
            	this.playBtn.on("mousedown", this.startLoading, this);

                // this.loadScreen = this.preQueue.getResult("loadBack");
                this.preQueue.removeAllEventListeners();
                // this.setupLoadScreen();

	},

	startLoading: function (e){	
		var con = e.target.parent;
		con.removeChild(e.target);
		sbe.book.runLoader();


	},

            // setupLoadScreen: function() {
                // this.preloader = new ig.Preloader();
                // this.onLoadMain();
            // },

	load : function(manifest, loadCallback)
	{
		// check if any exist
		for ( var i = 0; i < manifest.length; i++ )
		{
			// duplicates?
			for ( var j = 0; j < manifest.length; j++ )
			{
				if ( manifest[i].id === manifest[j].id && i !== j )
				{
					manifest.splice(j, 1);
					j--;
				}
			}

			// already loaded
			if ( this.get(manifest[i].id) )
			{
				manifest.splice(i, 1);
				i--;
			}
			// apply cache
			else
				manifest[i].src += sbe.nocache;
		}

		this.loadCallback = loadCallback || this.loadCallback;

		if ( manifest.length )
			this.loadManifest(manifest);
		else
			this.handleComplete();
	},

	unload : function(manifest)
	{
		for ( var i = 0; i < manifest.length; i++ )
			this.set(manifest[i].id, null);
	},

	loadManifest : function(manifest)
	{
		if ( !this.loadQueue )
		{
			this.status = 0; // reset it

			var loadQueue = new createjs.LoadQueue(false);
			loadQueue.setMaxConnections(8);
			loadQueue.installPlugin(createjs.Sound);
			loadQueue.on("progress", this.onLoadProgress, this);
			loadQueue.on('fileload', this.handleFileload, this);
			// loadQueue.on('complete', this.handleComplete, this);

			this.loadQueue = loadQueue;
		}

		this.loadQueue.loadManifest(manifest);
	},

	onLoadProgress : function (progress){
		// lastLoadEvent = loadEvent;

		if (!sbe.book.currentPageIndex || sbe.book.currentPageIndex >0){
			return;
		}
		

			var barScale = 11;
			var rec = new cjs.Graphics();
			rec.f("#5783be").r(0,0,20,10);
			// rec.s("red").f("blue").r(0, 0, 300, 300);
			var bar = new cjs.Shape(rec);
			bar.x = 510;
			bar.y = 280;

			var rec = new cjs.Graphics();
			rec.f("#3e4486").r(0,0,22.4,16);
			// rec.s("red").f("blue").r(0, 0, 300, 300);
			var backgroundBar = new cjs.Shape(rec);
			backgroundBar.x = 507.5;
			backgroundBar.y = 277;
			

		this.con.addChild(this.loadScreen, backgroundBar, bar);
		this.con.scaleX = this.con.scaleY = 1.5;
		this.con.x = -350;
		this.con.y = -100;
		sbe.system.stage.addChild( this.con );

            bar.scaleX = this.loadQueue.progress * barScale;
            backgroundBar.scaleX = backgroundBar.scaleX*10;

            // var ctx = progressCanvas.getContext('2d'),
            //     w = progressCanvas.width,
            //     h = progressCanvas.height,
            //     p = loadEvent.progress / loadEvent.total;

            // ctx.clearRect(0, 0, w, h);

            // // bg
            // ctx.save();
            // ctx.fillStyle = '#3e4486';
            // ctx.fillRect(0,0,w,h);
            // ctx.restore();

            // // percentage/progress bar
            // ctx.save();
            // ctx.fillStyle = '#5783be';
            // ctx.fillRect(2,2,(w-2) * p,h-4);
            // ctx.restore();

            // progressFill.style.width = (((loadEvent.progress) / loadEvent.total) * 100) + "%";

	},

	handleFileload : function(e)
	{
		// update status
		this.status = this.loadQueue ? this.loadQueue.getItems(true).length / this.loadQueue.getItems().length : this.status;
		this.set(e.item.id, e.result);

		if ( this.status >= 1 )
			this.handleComplete();
	},

	handleComplete : function(e)
	{
		
		// complete



		this.status = 1;
		sbe.system.stage.removeChild(this.con);
		
		var loadCallback = this.loadCallback;
		this.loadCallback = null;
		
		if ( this.loadQueue )
			this.loadQueue.unregisterLoader();
		this.loadQueue = null;

		if ( loadCallback )
			loadCallback();

	},

	get : function(id) 
	{
		return this.loadedObjects[id] || null;
	},

	set : function(id, value)
		{
			this.loadedObjects[id] = value;

			if ( value === null )
				delete this.loadedObjects[id];
		}
});