if ( !window.sbe )
	throw 'Global "sbe" doesn\'t exist';



sbe.bookData = 
{
	title : 'Title of the Book',

    orientationId : 'orientation',
    containerId : 'book-container',
    wrapperId : 'book-wrapper',
    canvasId : 'book-canvas',
    domId : 'book-dom',
    replayId : 'book-replay',

    format : 2, // 1 for single page, 2 for two pages
    width : 576,
    height : 768,

    startOnPage : 0, // 0 is the cover
    pageFlipDuration : 600, // duration of the page turn (left and right combined)
    pageFlipDelay : 200, // so the text on the page can go away
    pageTurnBtns : ['media/images/btn-back.png', 'media/images/btn-next.png'], // the previous and next buttons
    pageReplayBtn : 'media/images/btn-replay.png',
    textReplayBtn : 'media/images/sfx.png',
    pages : [], // 
    
	assetBasePath : 'media/',
	assets : [
		{ id : 'vo-sprites', src: 'media/audio/vo/all.ogg', data : { channels : 1, audioSprite : sbe.voData.audioSprite } },

		{ id : 'sfx-page-turn', src: 'media/audio/sfx/page-turn.ogg' }, // MUST HAVE THE ID "sfx/page-turn"

        {id: 'pg00-bg', src: 'media/images/page00/pg00-bg.jpg', page: 0},
        {id: 'sfx-icon', src: 'media/images/sfx.png', page: 0},
        
        {id: 'pg01-bg', src: 'media/images/page01/pg01-bg.jpg', page: 1},
        {id: 'pg01-textbox', src: 'media/images/page01/pg01-textbox.png', page: 1},
        {id: 'pg01-cat-hello', type: 'spritesheet', src: 'media/images/page01/pg01-cat-hello.json', page: 1},
        {id: 'pg01-chick-cheep', type: 'spritesheet', src: 'media/images/page01/pg01-chick-cheep.json', page: 1},
        {id: 'pg01-farmer-sings', type: 'spritesheet', src: 'media/images/page01/pg01-farmer-sings.json', page: 1},
        {id: 'pg01-peg-hello', type: 'spritesheet', src: 'media/images/page01/pg01-peg-hello.json', page: 1},
        
        {id: 'pg02-bg', src: 'media/images/page02/pg02-bg.jpg', page: 2},
        {id: 'pg02-textbox', src: 'media/images/page02/pg02-textbox.png', page: 2},
        {id: 'pg02-farmer', src: 'media/images/page02/pg02-farmer.png', page: 2},
        {id: 'pg02-cat-pose', type: 'spritesheet', src: 'media/images/page02/pg02-cat-pose.json', page: 2},
        {id: 'pg02-peg-pose', type: 'spritesheet', src: 'media/images/page02/pg02-peg-pose.json', page: 2},
        {id: 'pg02-pig-pose', type: 'spritesheet', src: 'media/images/page02/pg02-pig-pose.json', page: 2},
        
        {id: 'pg03-bg', src: 'media/images/page03/pg03-bg.jpg', page: 3},
        {id: 'pg03-textbox', src: 'media/images/page03/pg03-textbox.png', page: 3},
        {id: 'pg03-cat-vote', type: 'spritesheet', src: 'media/images/page03/pg03-cat-vote.json', page: 3},
        {id: 'pg03-chick-cheep', type: 'spritesheet', src: 'media/images/page03/pg03-chick-cheep.json', page: 3},
        {id: 'pg03-peg-vote', type: 'spritesheet', src: 'media/images/page03/pg03-peg-vote.json', page: 3},
        
        {id: 'pg04-bg', src: 'media/images/page04/pg04-bg.jpg', page: 4},
        {id: 'pg04-textbox', src: 'media/images/page04/pg04-textbox.png', page: 4},
        {id: 'pg04-cat-problem', type: 'spritesheet', src: 'media/images/page04/pg04-cat-problem.json', page: 4},
        {id: 'pg04-chick4', type: 'spritesheet', src: 'media/images/page04/pg04-chick4.json', page: 4},
        {id: 'pg04-chick5', type: 'spritesheet', src: 'media/images/page04/pg04-chick5.json', page: 4},
        {id: 'pg04-peg-problem', type: 'spritesheet', src: 'media/images/page04/pg04-peg-problem.json', page: 4},
        {id: 'pg04-pig-shrug', type: 'spritesheet', src: 'media/images/page04/pg04-pig-shrug.json', page: 4},
        
        {id: 'pg05-bg', src: 'media/images/page05/pg05-bg.jpg', page: 5},
        {id: 'pg05-textbox', src: 'media/images/page05/pg05-textbox.png', page: 5},
        {id: 'pg05-sign', src: 'media/images/page05/pg05-sign.png', page: 5},
        {id: 'pg05-cat-hurray', type: 'spritesheet', src: 'media/images/page05/pg05-cat-hurray.json', page: 5},
        {id: 'pg05-peg-gesture', type: 'spritesheet', src: 'media/images/page05/pg05-peg-gesture.json', page: 5},
        
        {id: 'pg06-bg', src: 'media/images/page06/pg06-bg.jpg', page: 6},
        {id: 'pg06-textbox', src: 'media/images/page06/pg06-textbox.png', page: 6},
        {id: 'pg06-cat-worried', type: 'spritesheet', src: 'media/images/page06/pg06-cat-worried.json', page: 6},
        {id: 'pg06-chick23', type: 'spritesheet', src: 'media/images/page06/pg06-chick23.json', page: 6},
        {id: 'pg06-chick40', type: 'spritesheet', src: 'media/images/page06/pg06-chick40.json', page: 6},
        {id: 'pg06-peg', type: 'spritesheet', src: 'media/images/page06/pg06-peg.json', page: 6},
        {id: 'pg06-pig', type: 'spritesheet', src: 'media/images/page06/pg06-pig.json', page: 6},
        
        {id: 'pg07-bg', src: 'media/images/page07/pg07-bg.jpg', page: 7},
        {id: 'pg07-textbox', src: 'media/images/page07/pg07-textbox.png', page: 7},
        {id: 'pg07-cat-hello', type: 'spritesheet', src: 'media/images/page07/pg07-cat-hello.json', page: 7},
        {id: 'pg07-peg-hello', type: 'spritesheet', src: 'media/images/page07/pg07-peg-hello.json', page: 7},
        {id: 'pg07-ramone-hello', type: 'spritesheet', src: 'media/images/page07/pg07-ramone-hello.json', page: 7},
        
        {id: 'pg08-bg', src: 'media/images/page08/pg08-bg.jpg', page: 8},
        {id: 'pg08-textbox', src: 'media/images/page08/pg08-textbox.png', page: 8},
        {id: 'pg08-chick-slide', type: 'spritesheet', src: 'media/images/page08/pg08-chick-slide.json', page: 8},
        {id: 'pg08-peg-sings', type: 'spritesheet', src: 'media/images/page08/pg08-peg-sings.json', page: 8},
        {id: 'pg08-ramone-sings', type: 'spritesheet', src: 'media/images/page08/pg08-ramone-sings.json', page: 8},
        
        {id: 'pg09-bg', src: 'media/images/page09/pg09-bg.jpg', page: 9},
        {id: 'pg09-textbox', src: 'media/images/page09/pg09-textbox.png', page: 9},
        {id: 'pg09-chickens', src: 'media/images/page09/pg09-chickens.png', page: 9},
        {id: 'pg09-ramone', src: 'media/images/page09/pg09-ramone.png', page: 9},
        {id: 'pg09-cat-worried', type: 'spritesheet', src: 'media/images/page09/pg09-cat-worried.json', page: 9},
        {id: 'pg09-chick', type: 'spritesheet', src: 'media/images/page09/pg09-chick.json', page: 9},
        {id: 'pg09-peg-freaking', type: 'spritesheet', src: 'media/images/page09/pg09-peg-freaking.json', page: 9},
        {id: 'pg02-pig-pose', type: 'spritesheet', src: 'media/images/page02/pg02-pig-pose.json', page: 9},
        
        {id: 'pg10-bg', src: 'media/images/page10/pg10-bg.jpg', page: 10},
        {id: 'pg10-textbox', src: 'media/images/page10/pg10-textbox.png', page: 10},
        {id: 'pg10-chick', src: 'media/images/page10/pg10-chick.png', page: 10},
        {id: 'pg10-cat-calms', type: 'spritesheet', src: 'media/images/page10/pg10-cat-calms.json', page: 10},
        {id: 'pg10-peg-counts', type: 'spritesheet', src: 'media/images/page10/pg10-peg-counts.json', page: 10},
        
        {id: 'pg11-bg', src: 'media/images/page11/pg11-bg.jpg', page: 11},
        {id: 'pg11-textbox', src: 'media/images/page11/pg11-textbox.png', page: 11},
        {id: 'pg11-chick49', type: 'spritesheet', src: 'media/images/page11/pg11-chick49.json', page: 11},
        {id: 'pg11-chick51', type: 'spritesheet', src: 'media/images/page11/pg11-chick51.json', page: 11},
        {id: 'pg11-peg-cat-hug', type: 'spritesheet', src: 'media/images/page11/pg11-peg-cat-hug.json', page: 11},
        {id: 'pg11-pig-tail', type: 'spritesheet', src: 'media/images/page11/pg11-pig-tail.json', page: 11},
        {id: 'pg11-ramone-yay', type: 'spritesheet', src: 'media/images/page11/pg11-ramone-yay.json', page: 11},
        
        {id: 'pg12-bg', src: 'media/images/page12/pg12-bg.jpg', page: 12},
        {id: 'pg12-textbox', src: 'media/images/page12/pg12-textbox.png', page: 12},
        {id: 'pg12-farmer', src: 'media/images/page12/pg12-farmer.png', page: 12},
        {id: 'pg12-cat', type: 'spritesheet', src: 'media/images/page12/pg12-cat.json', page: 12},
        {id: 'pg12-chick100', type: 'spritesheet', src: 'media/images/page12/pg12-chick100.json', page: 12},
        {id: 'pg12-peg', type: 'spritesheet', src: 'media/images/page12/pg12-peg.json', page: 12},
        {id: 'pg12-pig', type: 'spritesheet', src: 'media/images/page12/pg12-pig.json', page: 12},
        {id: 'pg12-ramone', type: 'spritesheet', src: 'media/images/page12/pg12-ramone.json', page: 12},
	],

	vo :
	{
		// 'page-1-1' : {"text":"Move your mouse left or right to have Doofus pedal faster or slower.","words":["Move","your","mouse","left","or","right","to","have","Doofus","pedal","faster","or","slower."],"time":[[23.437,200.892],[200.892,358.25800000000004],[358.25800000000004,749.999],[749.999,944.195],[944.195,1132.531],[1132.531,1516.7379999999998],[1516.7379999999998,1577.0059999999999],[1577.0059999999999,1777.898],[1777.898,2429.125],[2429.125,2723.767],[2723.767,3466.2320000000004],[3466.2320000000004,3601.8340000000003],[3601.8340000000003,4201.164000000001]]},
		'page-1-0' : {"text":"Hi there! I'm Peg and this is Cat. The Farmer needs someone to watch his one hundred chickens while he takes his eggs to market. I really hope he picks me!","words":["Hi", "there!", "I'm", "Peg", "and", "this", "is", "Cat.", "The", "Farmer", "needs", "someone", "to", "watch", "his", "one", "hundred", "chickens", "while", "he", "takes", "his", "eggs", "to", "market.", "I", "really", "hope", "he", "picks", "me!"],"time":[]},
        'page-2-0' : {"text":"The Pig wants to watch the chickens too! So we'll have an election to decide who gets to be in charge while the Farmer's away.","words":[],"time":[]},
        'page-3-0' : {"text":"The chickens can vote for who they want by sitting in front of a picture of me or the Pig. Whoever has the most chickens on their side wins the election. Come on, chickens! Vote for me!","words":[],"time":[]},
        'page-4-0' : {"text":"Let's count how many chickens have voted so far. There are 4 chickens on my side and 5 chickens on the Pig's side.","words":[],"time":[]},
        'page-4-1' : {"text":"Since 5 is more than 4, the Pig is winning. I've got a Really Big Problem! Vote for me, chickens!","words":[],"time":[]},
        'page-5-0' : {"text":"I know I'll sing the chickens a song to get them to vote for me. Chickens, this sign means \"more than.\" If you vote for me instead of the Pig, that's exactly what you'll get: more! So be sure then, vote for more than! Vote for Peg!","words":[],"time":[]},
        'page-6-0' : {"text":"The chickens liked my song, so I have 23 votes! But the Pig burped and boinged his tail. Now he has 40 votes. That's way more than I have. How will I ever catch up?","words":[],"time":[]},
        'page-7-0' : {"text":"It's my friend Ramone, the Mayor of Moo Haven! He says that to win the election, I should let the chickens know what I'm good at - like counting! Counting is even cooler than boinging your tail.","words":[],"time":[]},
        'page-8-0' : {"text":"Let's try it! 1, 2, 3, 4! Sliding down the cellar door! 5, 6, 7, 8! I'm your counting candidate! Chickens big and chickens small can count on Peg to count them all!","words":[],"time":[]},
        'page-9-0' : {"text":"It's working! Now I have 50 votes and the Pig has 49. But the Littlest Chicken is still making up her mind.","words":[],"time":[]},
        'page-9-1' : {"text":"I need her to pick me so I can win the election! I am TOTALLY FREAKING OUT!","words":[],"time":[]},
        'page-10-0' : {"text":"Cat says I should try counting backwards from five to calm down. 5, 4, 3, 2, 1...","words":[],"time":[]},
        'page-11-0' : {"text":"The Littlest Chicken loves how I can count backwards! She's voting for me! Now I have 50 plus 1 more equals 51 votes!","words":[],"time":[]},
        'page-11-1' : {"text":"51 is more than the Pig's 49 votes, so more chickens voted for me!","words":[],"time":[]},
        'page-12-0' : {"text":"So by knowing more than and less than, and counting up and down, I won the election!","words":[],"time":[]},
        'page-12-1' : {"text":"I get to be in charge of 100 chickens while the Farmer is away! Thanks chickie-chicks! Problem Solved!","words":[],"time":[]}
	},
	gotoPage : function(index)
	{
		// if ( !this.bgMusic )
			// this.bgMusic = cjs.Sound.play('bg-music', { loop : -1, volume : 0.1 });
	}
};